using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using HCM.BusinessEntities;
using HCM.DataAccess;

namespace HCM.BajaWare.BusinessLogic
{
    public class ClasificacionLegalLogic
    {
        #region Constructor

        private ClasificacionLegalDataAccess ClasificacionLegalDA;

        public ClasificacionLegalLogic()
        {
            ClasificacionLegalDA = new ClasificacionLegalDataAccess();

        }

        #endregion

        #region Obtiene Datos
        /// <summary>
        /// Obtiene la lista de personas
        /// </summary>
        /// <param name="iPersona"></param>
        /// <returns></returns>
        public List<ClasificacionLegal> ListarClasificacionLegal()
        {
            List<ClasificacionLegal> results = null;
            try
            {

                results = ClasificacionLegalDA.ListadoClasificacionLegal();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }

       

        #endregion 
    }
}
